io.vertx.reactivex.oracleclient

## Class OracleBuilder

- java.lang.Object
- - io.vertx.reactivex.oracleclient.OracleBuilder

-     public class OracleBuilder
      extends Object

  Entry point for building Oracle clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OracleBuilder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleBuilder(io.vertx.oracleclient.OracleBuilder delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `io.vertx.oracleclient.OracleBuilder` | `getDelegate()`
    `int` | `hashCode()`
    `static OracleBuilder` | `newInstance(io.vertx.oracleclient.OracleBuilder arg)`
    `static ClientBuilder<Pool>` | `pool()` Provide a builder for Oracle pool of connections
    `static Pool` | `pool(Handler<ClientBuilder<Pool>> block)` Build a pool with the specified `block` argument.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OracleBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### OracleBuilder

          public OracleBuilder(io.vertx.oracleclient.OracleBuilder delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public io.vertx.oracleclient.OracleBuilder getDelegate()

    - #### pool

          public static Pool pool(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `block` -
      Returns:
        the pool as configured by the code `block`

    - #### pool

          public static ClientBuilder<Pool> pool()

      Provide a builder for Oracle pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

      Returns:

    - #### newInstance

          public static OracleBuilder newInstance(io.vertx.oracleclient.OracleBuilder arg)

Copyright © 2023 Eclipse. All rights reserved.